/**{*/
/*    margin:0;*/
/*    padding:0;*/
/*    box-sizing:border-box;*/
/*}*/

/*body{*/
/*    background:#f4f6f8;*/
/*    font-family:Arial,sans-serif;*/
/*    color:#222;*/
/*}*/

.play-mobile{
    display:none;
}

.container{
    width:100%;
    margin:auto;
    padding:40px 0;
}

.movie-info{
    display:flex;
    gap:60px;
}

.poster{
    width:23%;
    text-align: center;
    align-content: center;
}

.poster img{
    width: 100%;
    border-radius:25px;
    display:block;

    max-height: 512px;
}

.content-right{
    /*flex:1;*/
    width:68%;
}

.content-right h1{
    margin-bottom:25px;
}

.tags{
    display:flex;
    gap:12px;
    margin-bottom:30px;
    flex-wrap:wrap;
}

.tags span{
    padding:8px 16px;
    background:#edf1f5;
    border-radius:30px;
    font-weight:600;
}

.meta{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:15px;
    margin-bottom:20px;
}

.box{
    border-radius:18px;
    padding:22px;
    border: #eff0f2 1px solid;
}

.box small{
    color:#999;
    display:block;
    margin-bottom:8px;

}

.box h4{

}

.actors{
    border-radius:18px;
    padding:22px;
    margin-bottom:25px;
    border: #eff0f2 1px solid;
}

.actors small{
    color:#999;
    display:block;
    margin-bottom:10px;
}

.synopsis h3{
    color:#ff2f2f;
    margin-bottom:15px;
}

.synopsis p{
    line-height:1.8;
    color:#666;
}

.buttons{
    display:flex;
    gap:15px;
    margin-top:30px;
}

.play-btn{
    padding:14px 30px;
    border-radius:50px;
    cursor:pointer;
    box-shadow:0 8px 20px rgba(255,47,47,.35);
}

.like-btn{
    border:1px solid #ff2f2f;
    border-radius:50px;
    padding:14px 30px;
    cursor:pointer;
}

.share-btn{
    width:58px;
    height:58px;
    border-radius:50%;
    border:none;
    background:white;
    cursor:pointer;
}

.episode-section{
    margin-top:30px;
    padding:20px 30px;
    border-radius:30px;
    border: #eff0f2 1px solid;
}

.episode-header{
    display:flex;
    justify-content:space-between;
    margin-bottom:10px;
}

.episode-header p{
    color:#999;
}

.episode-list{
    display:grid;
    grid-template-columns:repeat(8,1fr);
    gap:30px;
}

.episode{
    border:1px solid #e5e5e5;
    border-radius:20px;
    padding:15px 5px;
    transition:.3s;
    cursor:pointer;
    text-align: center
}

.episode:hover{
    transform:translateY(-5px);
}

.episode span{
    font-weight:bold;
}


@media (max-width: 728px) {
    .container {
        width: 98%;
        padding: 0 10px;
    }

    .content-right {
        width: 100%;
    }
    .movie-info{
        flex-direction: column;
        gap:30px;
    }

    .content-right h1{
        font-size:20px;
        line-height:1.3;
        margin-bottom:15px;
    }

    .poster{
        width:100%;
    }

    .poster img{
        width:100%;
        border-radius:25px;
    }

    .tags{
        gap:8px;
    }

    .tags span{
        font-size:10px;
        padding:6px 10px;
    }

    .meta{
        grid-template-columns:repeat(2, 1fr);
        gap:8px;           /* 原来15px */
        margin-bottom:15px;
    }

    .box{
        padding:12px 14px; /* 原来22px */
        border-radius:12px;
    }

    .box small{
        font-size:11px;
        margin-bottom:4px;
    }

    .actors{
        padding:12px;
    }

    .synopsis p{
        font-size:14px;
    }

    .buttons{
        flex-direction:column;
    }

    .episode-list{
        grid-template-columns:1fr;
    }

    .play-mobile{
        display:block;
        margin:15px 0 20px;
    }

    .play-mobile .play-btn{
        width:100%;
    }

    .buttons .play-btn{
        display:none;
    }

    .buttons{
        flex-direction:row;
    }

    .like-btn{
        flex:1;
    }

    .share-btn{
        flex:0 0 58px;
    }
    .box h4{
        font-size:14px;
    }
}